// NOTE: THIS SOURCE FILE IS FOR DEBUGGING PURPOSES ONLY.
//       IT IS INVOKED BY THE "Run.cmd" AND "Debug.cmd" BATCH FILES.
"use strict";
var ts = require("typescript");
var os = require("os");
var Analyzer_1 = require("./Analyzer");
var ApiFileGenerator_1 = require("./generators/ApiFileGenerator");
var ApiJsonGenerator_1 = require("./generators/ApiJsonGenerator");
var analyzer = new Analyzer_1.default(function (message, fileName, lineNumber) {
    console.log("ErrorHandler: " + message + os.EOL
        + ("  " + fileName + "#" + lineNumber));
});
/**
 * Debugging inheritdoc expression parser.
 * Analyzer on example2 is needed for testing the parser.
 */
analyzer.analyze({
    compilerOptions: {
        target: ts.ScriptTarget.ES5,
        module: ts.ModuleKind.CommonJS,
        moduleResolution: ts.ModuleResolutionKind.NodeJs,
        experimentalDecorators: true,
        jsx: ts.JsxEmit.React,
        rootDir: 'D:/GitRepos/sp-client/spfx-core/sp-codepart-base'
    },
    entryPointFile: 'D:/GitRepos/sp-client/spfx-core/sp-codepart-base/src/index.ts',
    otherFiles: []
});
var apiFileGenerator = new ApiFileGenerator_1.default();
apiFileGenerator.writeApiFile('./lib/DebugRun.api.ts', analyzer);
var apiJsonGenerator = new ApiJsonGenerator_1.default();
apiJsonGenerator.writeJsonFile('./lib/DebugRun.json', analyzer);
console.log('DebugRun completed.');

//# sourceMappingURL=DebugRun.js.map
