import ApiItem, { IApiItemOptions } from './ApiItem';
/**
  * This is an abstract base class for ApiPackage, ApiEnum, and ApiStructuredType,
  * which all act as containers for other ApiItem definitions.
  */
declare abstract class ApiItemContainer extends ApiItem {
    protected memberItems: ApiItem[];
    constructor(options: IApiItemOptions);
    /**
     * Return a list of the child items for this container, sorted alphabetically.
     */
    getSortedMemberItems(): ApiItem[];
    /**
     * Add a child item to the container.
     */
    protected addMemberItem(apiItem: ApiItem): void;
}
export default ApiItemContainer;
