"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ApiItem_1 = require("./ApiItem");
/**
  * This is an abstract base class for ApiPackage, ApiEnum, and ApiStructuredType,
  * which all act as containers for other ApiItem definitions.
  */
var ApiItemContainer = (function (_super) {
    __extends(ApiItemContainer, _super);
    function ApiItemContainer(options) {
        var _this = _super.call(this, options) || this;
        _this.memberItems = [];
        return _this;
    }
    /**
     * Return a list of the child items for this container, sorted alphabetically.
     */
    ApiItemContainer.prototype.getSortedMemberItems = function () {
        return this.memberItems
            .sort(function (a, b) { return a.name.localeCompare(b.name); });
    };
    /**
     * Add a child item to the container.
     */
    ApiItemContainer.prototype.addMemberItem = function (apiItem) {
        this.memberItems.push(apiItem);
    };
    return ApiItemContainer;
}(ApiItem_1.default));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = ApiItemContainer;

//# sourceMappingURL=ApiItemContainer.js.map
