/* tslint:disable:no-bitwise */
"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ts = require("typescript");
var ApiStructuredType_1 = require("./ApiStructuredType");
var ApiEnum_1 = require("./ApiEnum");
var ApiFunction_1 = require("./ApiFunction");
var ApiItemContainer_1 = require("./ApiItemContainer");
/**
  * This class is part of the ApiItem abstract syntax tree.  It represents the top-level
  * exports for an Rush package.  This object acts as the root of the Analyzer's tree.
  */
var ApiPackage = (function (_super) {
    __extends(ApiPackage, _super);
    function ApiPackage(analyzer, rootFileSymbol) {
        var _this = _super.call(this, {
            analyzer: analyzer,
            declaration: rootFileSymbol.declarations[0],
            declarationSymbol: rootFileSymbol
        }) || this;
        var exportSymbols = _this.typeChecker.getExportsOfModule(rootFileSymbol);
        if (exportSymbols) {
            for (var _i = 0, exportSymbols_1 = exportSymbols; _i < exportSymbols_1.length; _i++) {
                var exportSymbol = exportSymbols_1[_i];
                var followedSymbol = _this.followAliases(exportSymbol);
                if (!followedSymbol.declarations) {
                    _this.reportWarning("Definition with no declarations: " + exportSymbol.name);
                    continue;
                }
                for (var _a = 0, _b = followedSymbol.declarations; _a < _b.length; _a++) {
                    var declaration = _b[_a];
                    var options = {
                        analyzer: _this.analyzer,
                        declaration: declaration,
                        declarationSymbol: followedSymbol,
                        exportSymbol: exportSymbol
                    };
                    if (followedSymbol.flags & (ts.SymbolFlags.Class | ts.SymbolFlags.Interface)) {
                        _this.addMemberItem(new ApiStructuredType_1.default(options));
                    }
                    else if (followedSymbol.flags & ts.SymbolFlags.Function) {
                        _this.addMemberItem(new ApiFunction_1.default(options));
                    }
                    else if (followedSymbol.flags & ts.SymbolFlags.Enum) {
                        _this.addMemberItem(new ApiEnum_1.default(options));
                    }
                    else {
                        _this.reportWarning("Unsupported export: " + exportSymbol.name);
                    }
                }
            }
        }
        return _this;
    }
    ApiPackage.prototype.shouldHaveDocumentation = function () {
        // We don't write JSDoc for the ApiPackage object
        return false;
    };
    return ApiPackage;
}(ApiItemContainer_1.default));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = ApiPackage;

//# sourceMappingURL=ApiPackage.js.map
