"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ApiMember_1 = require("./ApiMember");
/**
 * This class is part of the ApiItem abstract syntax tree. It represents properties of classes or interfaces
 * (It does not represent member methods)
 */
var ApiProperty = (function (_super) {
    __extends(ApiProperty, _super);
    function ApiProperty(options) {
        var _this = _super.call(this, options) || this;
        _this.isReadOnly = _this.documentation.readonly ? _this.documentation.readonly : false;
        var declaration = options.declaration; /* tslint:disable-line:no-any */
        if (declaration && declaration.type) {
            _this.type = declaration.type.getText();
        }
        return _this;
    }
    ApiProperty.prototype.getDeclarationLine = function () {
        return _super.prototype.getDeclarationLine.call(this, {
            type: this.type,
            readonly: this.isReadOnly
        });
    };
    return ApiProperty;
}(ApiMember_1.default));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = ApiProperty;

//# sourceMappingURL=ApiProperty.js.map
