/// <reference types="mocha" />
"use strict";
var chai_1 = require("chai");
var DocItemLoader_1 = require("../DocItemLoader");
var TestFileComparer_1 = require("../TestFileComparer");
var JsonFile_1 = require("../JsonFile");
/* tslint:disable:no-function-expression - Mocha uses a poorly scoped "this" pointer */
describe('DocItemLoader tests', function () {
    this.timeout(10000);
    describe('Basic Tests', function () {
        it('Should locate external scoped package api item', function () {
            var apiDefRef = {
                scopeName: '@microsoft',
                packageName: 'sp-core-library',
                exportName: 'DisplayMode',
                memberName: ''
            };
            var docItemLoader = new DocItemLoader_1.default('./testInputs/example2');
            /* ts-lint:diasble:no-unused-variable */
            var apiDocItem = docItemLoader.getItem(apiDefRef);
            JsonFile_1.default.saveJsonFile('./lib/inheritedDoc-output.json', JSON.stringify(apiDocItem));
            TestFileComparer_1.default.assertFileMatchesExpected('./lib/inheritedDoc-output.json', './testInputs/inheritedDoc-output.json');
        });
        it('Should not raise error without scope and not found', function () {
            var apiDefRef = {
                scopeName: '',
                packageName: 'sp-core-libarary',
                exportName: 'DisplayMode',
                memberName: ''
            };
            var docItemLoader = new DocItemLoader_1.default('./testInputs/example2');
            var apiDocItem = docItemLoader.getItem(apiDefRef);
            chai_1.assert.equal(apiDocItem, undefined);
        });
    });
});

//# sourceMappingURL=DocItemLoader.test.js.map
